Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
x11-misc/sddm-0.13.0-r1 no mouse no keyboard
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Desktop Environments
View previous topic :: View next topic  
Author Message
thumper
Guru
Guru


Joined: 06 Dec 2002
Posts: 528
Location: Venice FL

PostPosted: Sat Feb 20, 2016 8:46 pm    Post subject: x11-misc/sddm-0.13.0-r1 no mouse no keyboard Reply with quote

Since update to x11-misc/sddm-0.13.0-r1 I have no mouse and no keyboard.

If I press <CTRL-ALT-F1> and login as root from the console login prompt, and run:
Code:
/etc/init.d/xdm restart

The mouse and keyboard are functioning again with SDDM and I am able to login to Plasma 5.

It's a real PITA to do that every time, does anyone have any insight in to where I might start looking for a solution, I've googled around and am not finding any clues to the problem.

Update:
From the sddm.log it looks related to the sddm-helper exited with 11 line.
Code:
[18:36:29.425] (II) HELPER: [PAM] Starting...
[18:36:29.425] (II) HELPER: [PAM] Authenticating...
[18:36:29.425] (II) HELPER: [PAM] returning.
[18:37:06.958] (II) HELPER: [PAM] Ended.
[18:38:15.850] (II) DAEMON: Initializing...
[18:38:15.855] (II) DAEMON: Starting...
[18:38:15.855] (II) DAEMON: Adding new display on vt 7 ...
[18:38:15.856] (II) DAEMON: Display server starting...
[18:38:15.856] (II) DAEMON: Running: /usr/bin/X -nolisten tcp -dpi 113 -auth /var/run/sddm/{ddb8d6e5-71c4-4917-a887-b5979f23ca3f} -background none -noreset -displayfd 17 vt7
[18:38:16.563] (II) DAEMON: Running display setup script  "/usr/share/sddm/scripts/Xsetup"
[18:38:16.565] (II) DAEMON: Display server started.
[18:38:16.565] (II) DAEMON: Socket server starting...
[18:38:16.566] (II) DAEMON: Socket server started.
[18:38:16.566] (II) DAEMON: Greeter starting...
[18:38:16.567] (II) DAEMON: Adding cookie to "/var/run/sddm/{ddb8d6e5-71c4-4917-a887-b5979f23ca3f}"
[18:38:16.574] (II) HELPER: [PAM] Starting...
[18:38:16.574] (II) HELPER: [PAM] Authenticating...
[18:38:16.574] (II) HELPER: [PAM] returning.
[18:38:16.576] (II) DAEMON: Greeter session started successfully
[18:38:16.626] (II) DAEMON: Message received from greeter: Connect
[18:38:17.630] (II) HELPER: [PAM] Ended.
[18:38:17.631] (WW) DAEMON: Auth: sddm-helper exited with 11
[18:38:17.631] (II) DAEMON: Greeter stopped.


Update 2
found this in dmesg:
Code:
[   34.192124] traps: sddm-greeter[5735] general protection ip:7f9775ae5013 sp:7ffeeca7b6a8 error:0 in libQt5XcbQpa.so.5.5.1[7f9775aad000+e7000]


I'm still rummaging around google for answers, but nothing works so far.

Thanks in advance.

George
Back to top
View user's profile Send private message
thumper
Guru
Guru


Joined: 06 Dec 2002
Posts: 528
Location: Venice FL

PostPosted: Fri Mar 18, 2016 7:35 pm    Post subject: Reply with quote

Since I'm apparently the only Gentoo users to have this problem, I'll be brief.

The problem was in QT and the fix is in QT 5.6.0, I have installed it from the QT overlay and can now login from SDDM as expected.

How long it takes QT to make it into portage proper remains to be seen.

George
Back to top
View user's profile Send private message
asturm
Developer
Developer


Joined: 05 Apr 2007
Posts: 6825
Location: Austria

PostPosted: Fri Mar 18, 2016 8:07 pm    Post subject: Reply with quote

Since probably 95% of people use sddm successfully with Qt 5.5.1 you are most likely wrong. ;)

Might have been incomplete Qt unmask, might have been sddm in need of a rebuild after major Qt or GCC upgrade, we will never know. Either way, glad it was fixed for you.
_________________
backend.cpp:92:2: warning: #warning TODO - this error message is about as useful as a cooling unit in the arctic
Back to top
View user's profile Send private message
thumper
Guru
Guru


Joined: 06 Dec 2002
Posts: 528
Location: Venice FL

PostPosted: Fri Mar 18, 2016 8:28 pm    Post subject: Reply with quote

well nothing but QT changed from 5.5.1 to 5.6.0, and it was the only change.

I have rebuilt 5.5.1 and removed and rebuilt 5.5.1 and sddm many many times and NO GO.

And QT 5.5.1 is marked Stable, so it could not be an incomplete QT unmask.

Emerged 5.6.0 ONCE! and was able to login with SDDM.

Besides I researched it, and it has hit a few on other Distros, and there were several notes that implied it was fixed in QT 5.6.0.

Thank you for your concern.

George


Last edited by thumper on Fri Mar 18, 2016 8:32 pm; edited 1 time in total
Back to top
View user's profile Send private message
asturm
Developer
Developer


Joined: 05 Apr 2007
Posts: 6825
Location: Austria

PostPosted: Fri Mar 18, 2016 8:31 pm    Post subject: Reply with quote

Well that's interesting. Unfortunately, 5.6.0 brings its own host of regressions for Plasma-5, so it'll take some time to get it there.
_________________
backend.cpp:92:2: warning: #warning TODO - this error message is about as useful as a cooling unit in the arctic
Back to top
View user's profile Send private message
thumper
Guru
Guru


Joined: 06 Dec 2002
Posts: 528
Location: Venice FL

PostPosted: Fri Mar 18, 2016 8:49 pm    Post subject: Reply with quote

Well I'm damned if I do and damned if I don't, With 5.5.1 my Wife cannot login to my machine without my presence, at least with 5.6.0 she can.

I've lived on the KDE cutting edge since KDE 2.0, so it won't be my first rodeo, if I hit any problematic issues I can't deal with I'll just file a bug report as usual.

A +1 to you as my first issue is temporary getting rid of kde-apps/artikulate so I can get rid of media-libs/qt-gstreamer with the qt5 use flag that wants dev-qt/qtquick1 that does not exist in QT 5.6.0 since it's depreciated, so a quick tweak to kde-apps/kdeedu-meta-15.12.3-r1 in my local overlay and I'm off to the next one.

George
Back to top
View user's profile Send private message
asturm
Developer
Developer


Joined: 05 Apr 2007
Posts: 6825
Location: Austria

PostPosted: Fri Mar 18, 2016 8:59 pm    Post subject: Reply with quote

qtquick1 will need to get packaged sooner or later, now that 5.6.0 was released it is possible. Upstream does not ship it with 5.6.0 anymore, but they suggest it can be snapshotted from git (which isn't entirely correct, because it takes some extra work to get a usable tarball...).
_________________
backend.cpp:92:2: warning: #warning TODO - this error message is about as useful as a cooling unit in the arctic
Back to top
View user's profile Send private message
thumper
Guru
Guru


Joined: 06 Dec 2002
Posts: 528
Location: Venice FL

PostPosted: Fri Mar 18, 2016 10:22 pm    Post subject: Reply with quote

A side note as long as we are on the subject.

While I've not tested it yet, looks like qt-gstreamer is smart enough to find qtquick2 on the system, so the ebuild may only need a tweak for when QT 5.6+ is installed, and thus qtquick1 may not actually be needed, at least in my case.

And after a bit of google rummaging it seems some packages have been hindered by the lack of public release of QT 5.6.0.

So here's to "Keep Moving Forward"!

George
Back to top
View user's profile Send private message
IncredibleMrT
Tux's lil' helper
Tux's lil' helper


Joined: 07 Mar 2008
Posts: 109
Location: Rotherham, UK

PostPosted: Mon Jun 13, 2016 6:18 am    Post subject: Reply with quote

Whilst I appreciate it's a few months since you posted this, I can confirm I have exactly the same issue with the same manual restart of xdm being the first solution I found. Not a mojor inconvenience. If it will be fixed with an upgrade to QT, then i'll just hold out and wait for that.

It's the only issue i've found since taking the plunge and switching to Plasma5.
I'm running against the stable branch.

thumper wrote:
Since I'm apparently the only Gentoo users to have this problem, I'll be brief.

The problem was in QT and the fix is in QT 5.6.0, I have installed it from the QT overlay and can now login from SDDM as expected.

How long it takes QT to make it into portage proper remains to be seen.

George
Back to top
View user's profile Send private message
thumper
Guru
Guru


Joined: 06 Dec 2002
Posts: 528
Location: Venice FL

PostPosted: Mon Jun 13, 2016 9:30 pm    Post subject: Reply with quote

IncredibleMrT wrote:

It's the only issue i've found since taking the plunge and switching to Plasma5.
I'm running against the stable branch.


I think the benefit of QT 5.6 is worth using NOW, not worth the pain of waiting to go stable.

Here is some keywords should you want to try.

cat /etc/portage/package.keywords/qt.keywords
Code:
## QT 5.6
#
~dev-qt/linguist-5.6.0:5                                                                                                                         
~dev-qt/qtxmlpatterns-5.6.0:5                                                                                                                   
~dev-qt/assistant-5.6.0:5                                                                                                                       
~dev-qt/qthelp-5.6.0:5                                                                                                                           
~dev-qt/qtwebengine-5.6.0:5                                                                                                                     
~dev-qt/qtopengl-5.6.0:5                                                                                                                         
~dev-qt/qtdiag-5.6.0:5
~dev-qt/pixeltool-5.6.0:5
~dev-qt/qtbluetooth-5.6.0:5
~dev-qt/qtwebkit-5.6.0:5
~dev-qt/qtconcurrent-5.6.0:5
~dev-qt/designer-5.6.0:5
~dev-qt/qtdbus-5.6.0:5
~dev-qt/qtscript-5.6.0:5
~dev-qt/qtlocation-5.6.0:5
~dev-qt/qtsql-5.6.0:5
~dev-qt/qtimageformats-5.6.0:5
~dev-qt/qtwebsockets-5.6.0:5
~dev-qt/qttest-5.6.0:5
~dev-qt/qtprintsupport-5.6.0:5
~dev-qt/qdbus-5.6.0:5
~dev-qt/qtpaths-5.6.0:5
~dev-qt/qdoc-5.6.0:5
~dev-qt/qtnetwork-5.6.0:5
~dev-qt/qtwayland-5.6.0:5
~dev-qt/qtcore-5.6.0:5
~dev-qt/qttranslations-5.6.0:5
~dev-qt/qdbusviewer-5.6.0:5
~dev-qt/qtserialport-5.6.0:5
~dev-qt/qtx11extras-5.6.0:5
~dev-qt/qtxml-5.6.0:5
~dev-qt/qtsensors-5.6.0:5
~dev-qt/qtgraphicaleffects-5.6.0:5
~dev-qt/qtdeclarative-5.6.0:5
~dev-qt/qtwidgets-5.6.0:5
~dev-qt/qtpositioning-5.6.0:5
~dev-qt/qtquickcontrols-5.6.0:5
~dev-qt/qtsvg-5.6.0:5
~dev-qt/qtmultimedia-5.6.0:5
~dev-qt/linguist-tools-5.6.0:5
~dev-qt/qtwebchannel-5.6.0:5
~dev-qt/qtgui-5.6.0:5


Good luck;
George
Back to top
View user's profile Send private message
kensington
Developer
Developer


Joined: 02 Jan 2013
Posts: 175
Location: Australia

PostPosted: Wed Jun 15, 2016 1:05 pm    Post subject: Reply with quote

Qt 5.6.1 is packaged now, so I suggest to use that instead of .0. It contains a large number of improvements on .0 and hopefully will be a stable candidate.
Back to top
View user's profile Send private message
thumper
Guru
Guru


Joined: 06 Dec 2002
Posts: 528
Location: Venice FL

PostPosted: Wed Jun 15, 2016 6:02 pm    Post subject: Reply with quote

kensington wrote:
Qt 5.6.1 is packaged now, so I suggest to use that instead of .0. It contains a large number of improvements on .0 and hopefully will be a stable candidate.

Yes, here is a new list.
Code:
## QT 5.6
#
~dev-qt/linguist-5.6.1:5                                                                                                                         
~dev-qt/qtxmlpatterns-5.6.1:5                                                                                                                   
~dev-qt/assistant-5.6.1:5                                                                                                                       
~dev-qt/qthelp-5.6.1:5                                                                                                                           
~dev-qt/qtwebengine-5.6.1:5                                                                                                                     
~dev-qt/qtopengl-5.6.1:5                                                                                                                         
~dev-qt/qtdiag-5.6.1:5
~dev-qt/pixeltool-5.6.1:5
~dev-qt/qtbluetooth-5.6.1:5
~dev-qt/qtwebkit-5.6.1:5
~dev-qt/qtconcurrent-5.6.1:5
~dev-qt/designer-5.6.1:5
~dev-qt/qtdbus-5.6.1:5
~dev-qt/qtscript-5.6.1:5
~dev-qt/qtlocation-5.6.1:5
~dev-qt/qtsql-5.6.1:5
~dev-qt/qtimageformats-5.6.1:5
~dev-qt/qtwebsockets-5.6.1:5
~dev-qt/qttest-5.6.1:5
~dev-qt/qtprintsupport-5.6.1:5
~dev-qt/qdbus-5.6.1:5
~dev-qt/qtpaths-5.6.1:5
~dev-qt/qdoc-5.6.1:5
~dev-qt/qtnetwork-5.6.1:5
~dev-qt/qtwayland-5.6.1:5
~dev-qt/qtcore-5.6.1:5
~dev-qt/qttranslations-5.6.1:5
~dev-qt/qdbusviewer-5.6.1:5
~dev-qt/qtserialport-5.6.1:5
~dev-qt/qtx11extras-5.6.1:5
~dev-qt/qtxml-5.6.1:5
~dev-qt/qtsensors-5.6.1:5
~dev-qt/qtgraphicaleffects-5.6.1:5
~dev-qt/qtdeclarative-5.6.1:5
~dev-qt/qtwidgets-5.6.1:5
~dev-qt/qtpositioning-5.6.1:5
~dev-qt/qtquickcontrols-5.6.1:5
~dev-qt/qtsvg-5.6.1:5
~dev-qt/qtmultimedia-5.6.1:5
~dev-qt/linguist-tools-5.6.1:5
~dev-qt/qtwebchannel-5.6.1:5
~dev-qt/qtgui-5.6.1:5


Good luck;
George
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Desktop Environments All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum